get file = 'hh.sav'.

compute clust = 1.
if (hh1 = lag(hh1,1)) clust = 0.
variable label clust "Clusters completed".

compute hhsel = 1.
variable label hhsel "Cluster: households selected".

compute hhfnd = 0.
if (hh9 <> 4 and hh9 <> 6) hhfnd = 1.
variable label hhfnd "Cluster: households found".

compute hhcomp = 0.
if (hh9 = 1) hhcomp = 1.
variable label hhcomp "Cluster: households completed".

variable labels
  /hh12     "Cluster: eligible women"
  /hh13     "Cluster: interviewed women"
  /hh14     "Cluster: eligible children"
  /hh15     "Cluster: interviewed children"
.

tables
  /observation = hhsel hhfnd hhcomp hh12 hh13 hh14 hh15
  /tables = hh1 by hhsel + hhfnd + hhcomp + hh12 + hh13 + hh14 + hh15
  /statistics
    sum(hhsel (F5.0) '')
    sum(hhfnd (F5.0) '')
    sum(hhcomp (F5.0) '')
    sum(hh12 (F5.0) '')
    sum(hh13 (F5.0) '')
    sum(hh14 (F5.0) '')
    sum(hh15 (F5.0) '')
  /title
    "Weight Tabulation".
